# List_All_ShipTo_Customers_For_Customer

Retrieve all shipto customers associated with a customer.

`GET /v2/customers/{id}/shiptos`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/List_All_ShipTo_Customers_For_Customer/

## Description

Retrieve all shipto customers, and their associated data, from a customer.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `Customer` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `Customer`

Customer Model

| Property | Type | Required | Description |
|---|---|---|---|
| `address_line1` | string | No | The first line of the customers address. Example: `123 Mocking Bird Lane`. |
| `address_line2` | string | No | The second line of the customers address. Example: `Apt 2B`. |
| `alternate_id` | string | No | An alternate id for a customer. Example: `WA-00012`. |
| `attn_name` | string | No | An optional attention name field for your customer. Example: `Nick Diaz`. |
| `city` | string | No | The city field of the customers address. Example: `Seattle`. |
| `contact_name` | string | No | The contact name of the customer. Example: `Bob Fetherman`. |
| `country` | object[] | No | The country where the customer resides. |
| `customer_number` | string | No | The customer number is a unique number, per company, for a customer. Example: `CC000012302`. |
| `email_address` | string | No | The email_address of the customer. Example: `customers@email.com`. |
| `fax_number` | string | No | The fax number for the customer. Example: `800-555-5555`. |
| `name` | string | No | The name of the Customer. Example: `Bobs House of Fondue`. |
| `phone_number` | string | No | The phone number for the customer. Example: `800-555-5555`. |
| `state` | object[] | No | The state where the customer resides. |
| `zip` | string | No | The zip field of the customers address. Example: `98104`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/customers/{id}/shiptos" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```